---
title: steps
---
`steps` is an array of `Step`

### Step
```js
{
  attachTo: {
    element: "#foo"
    classList: ["attached", "bar"]
  },
  content: {
    title: "..."
    description: "..."
  },
  on: {
    beforeStep: function() {},
    afterStep: function() {}
  },
  options: {}
}
```
| Name | Type | Default | Description |
| :-------- | :-------- | :-------- | :-------- |
| `attachTo` | `Object` | |
| `attachTo.element` | `String` `Function` | **Required** | Element to attach onboarding step |
| `attachTo.classList` | `String[]` | **Optional** | CSS classes to be added to attached element |
| `content` | `Object` | **Optional** |
| `content.title` | `String` | **Optional** | Title to use in onboarding step |
| `content.description` | `String` | **Optional** | Description to use in onboarding step |
| `on` | `Object` | **Optional** |
| `on.beforeStep` | `Function` `AsyncFunction` | **Optional** | Function to run before showing the step |
| `on.afterStep ` | `Function` | **Optional** | Function to run after showing the step |
| `options` | [Options](/props/options) | **Optional** | Option for step. Overrides the `VOnboardingWrapper` options |
